summaryrefslogtreecommitdiffstats
path: root/scripts/install_copy_toolchain.sh
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2006-08-10 11:02:43 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2006-08-10 11:02:43 +0000
commit43657aff25d9388574a7fafa008ca3b4783f2a97 (patch)
tree6ab913df6ed2c17d7dd358867443ad8f932e7884 /scripts/install_copy_toolchain.sh
parentc5c9e2ce7f268410c1efff5e80cf2c49fedcb3f9 (diff)
downloadptxdist-43657aff25d9388574a7fafa008ca3b4783f2a97.tar.gz
ptxdist-43657aff25d9388574a7fafa008ca3b4783f2a97.tar.xz
* scripts/install_copy_toolchain.sh:
- return error on recursive calls of ptxd_install_lib - support handling of relative and absolute libs in linker scripts (problem reported and patch inspired by Randall S. Loomis rloomis _at_ solectek _dot_ com) git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@5994 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'scripts/install_copy_toolchain.sh')
-rwxr-xr-xscripts/install_copy_toolchain.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/scripts/install_copy_toolchain.sh b/scripts/install_copy_toolchain.sh
index ca3ac563d..a91956bb1 100755
--- a/scripts/install_copy_toolchain.sh
+++ b/scripts/install_copy_toolchain.sh
@@ -68,7 +68,7 @@ ptxd_install_lib() {
# if test -e "${tls_lib}"; then
# echo "tls - ${tls_lib}"
# ptxd_install_lib "${tls_lib}"
-# return 0
+# return $?
# fi
# remove existing libs
@@ -117,10 +117,15 @@ ptxd_install_lib() {
# strip all braces and install all shared libs ( *.so*), irnore "GROUP" and static libs
#
for script_lib in `sed -n -e "/GROUP/s/[()]//gp" "${lib_path}"`; do
- case "${script_lib}" in
+ # deal with relative and absolute libs
+ case "${script_lib}" in
+ /*.so*)
+ echo "in script - ${script_lib}"
+ ptxd_install_lib "${sysroot}/${script_lib}" || return $?
+ ;;
*.so*)
echo "in script - ${script_lib}"
- ptxd_install_lib "${sysroot}/${script_lib}"
+ ptxd_install_lib "${lib_dir}/${script_lib}" || return $?
;;
*)
;;
@@ -173,4 +178,4 @@ while getopts "p:l:d:s::" opt; do
done
get_lib_path "${lib}" || exit $?
-ptxd_install_lib "${lib_path}"
+ptxd_install_lib "${lib_path}" || exit $?